import QtQuick
import QtQuick.Layouts
import QtQuick.Controls

import org.kde.plasma.plasmoid

Item {
  id: fullRep

  anchors.fill: parent

  Layout.fillWidth: true
  Layout.fillHeight: true

  ScrollView {
    id: view
    width: parent.width
    height: (parent.width < parent.height ? parent.width : parent.height) * 0.9

    TextArea {
      width: parent.width
      height: (parent.width < parent.height ? parent.width : parent.height) * 0.9
      text: root.listOfPackages
    }
  }

  Item {
    Layout.fillHeight: true
    Layout.fillWidth: true
  }

  RowLayout {
    id: buttonRow

    anchors {
      bottom: parent.bottom
      horizontalCenter: parent.horizontalCenter
    }

    Button {
        text: i18n("Check updates")
        onClicked: updater.checkUpdates()
    }

    Button {
        text: i18n("Install updates")
        onClicked: updater.upgrade()
    }
  }

}
